AXL(1)

NAME
axl - the Aleph cross librarian

SYNOPSIS
axl [ options ] files

DESCRIPTION
axl invokes the aleph cross librarian utility. A librarian is a collection of files that are read by the aleph interpreter. A librarian is similar to an archive. The idea is to store a complete project into a single file and let the aleph interpreter to find them. A librarian is created with the -c option. Extracting a file or all files is performed with the -x option. Both options -c and -x are mutually exclusive.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-c  create a new librarian

-x  extract from the librarian

-t  list files in the librarian

-s  short list of files in the librarian

-f librarian
    specify the librarian name

VERSION
The current version is 0.9.0

SEE ALSO
aleph(1), axc(1), axd(1)

DEBIAN NOTES
Aleph comes with an extensive documentation. With Debian, look into /usr/share/doc/aleph-doc for more information. You might need to install the aleph-doc package.

FREEBSD NOTES
Aleph comes with an extensive documentation. With FreeBSD, you can download the preformated documentation from <ftp.aleph-lang.org>.

AUTHOR
axl has been written by Amaury Darsch <amaury@ethernix.org>.